Skip to end of metadata
Go to start of metadata

Table of contents

Updating PrestaShop

New versions of PrestaShop come every few months, sometimes even weeks apart. Some are major, most are minor, but they all bring a slew of innovations, improvements and bug-fixes. It is therefore highly advised to keep up with the latest version.

There are two ways to upgrade PrestaShop:

The automatic upgrade simply uses the free 1-Click Upgrade module.

The manual upgrade has been deprecated, but its documentation is kept for historical purposes – and for those who cannot use the automatic upgrade.

Icon

The update process will affect all files and folders included in the main PrestaShop installation. This includes all the core files used to run PrestaShop, all default modules and the default theme. If you have made any modifications to those files, your changes will be lost.

Done well, the whole update process described within these pages should not take more than half an hour. Do not try to skip a step in order to be done with it faster, as all steps are crucial.

PrestaShop support

For any support request or help to setup your website, contact us and discover our support offers.

Our support team is at your disposal for all technical problems related to the upgrade of your PrestaShop store:

Checking the requirements for the new version

Before you do anything to your current installation of PrestaShop, you should check that your server configuration matches or exceeds the minimum requirements for the latest version of PrestaShop, which are indicated on this page: http://www.prestashop.com/en/system-requirements.
For instance, make sure that your web host does provide you with the required versions of PHP and MySQL. If not, ask your host to update the server configuration. If you are unsure which PHP and MySQL versions you are using, ask your web host.

If you web host won't update your server configuration, then it is time for you to find a better host. Do NOT perform an upgrade unless your server at least meets the system requirements.

For those upgrading from a version below 1.4.x

Older versions of PrestaShop might not make it as easy to upgrade to the latest version: the code base is quite different, many files have been moved around, many have been created, and others have been deleted. Therefore, the risk is high, when skipping from a very old version to the latest one, to see errors and mistakes aplenty.

You are also limited to the manual upgrade process: the 1-Click Upgrade module can only work with PrestaShop 1.4 and later versions.

You should therefore be even more careful. The older your version, the more you should pay attention to details: backups, custom files, edited theme, etc.

  • No labels